## openarena 0.8.8

=== debian/changelog ===
openarena (0.8.8-15) unstable; urgency=medium

  * Use DEB_VENDOR instead of lsb_release
  * Drop compatibility with ioquake3 (<< 1.36+u20130504)
  * debian/rules: simplify by building in a non-platform-specific directory
  * debian/rules: rely on a q3arch version that accepts command-lines like
    "q3arch make i386 linux-gnu", to avoid repeated invocation
  * openarena Recommends openarena-oacmp1 now that it is in Debian,
    and openarena-server Suggests it
  * Stop installing the legacy Debian menu file
    - stop converting the icon to XPM format
    - no longer needs a build-dependency on imagemagick
  * Normalize packaging through `wrap-and-sort -abst`
  * Remove unnecessary debian/tmp prefix from install files
  * Use https for Vcs-Git, to provide anonymous checkouts that
    still authenticate the server
  * Remove host architecture restriction: since 0.8.8-6 it has not actually
    excluded any Debian architecture

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Jan 2016 11:52:33 +0000

openarena (0.8.8-14) unstable; urgency=medium

  * Add arm64 support by applying Martin Michlmayr's patch from ioquake3,
    which is also needed here (Closes: #790668)

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jul 2015 08:52:01 +0100

openarena (0.8.8-13) unstable; urgency=medium

  * Another try at making the build reproducible: force TZ=UTC so the
    changelog date comes out the same in any timezone, and LC_ALL=C.UTF-8
    so we always get the same month names. Based on a patch from
    Reiner Herrmann. (Closes: #784163)

 -- Simon McVittie <smcv@debian.org>  Mon, 04 May 2015 08:55:44 +0100

openarena (0.8.8-12) unstable; urgency=medium

  * Disable patch numbers in debian/patches, to reduce diffstat when patches
    are re-ordered
  * Use Debian changelog date as a replacement for __DATE__, for reproducible
    builds
  * Adjust logic for installing 0.8.1-, 0.8.5- and 0.8.8-compatible modules:
    - on the client, move the real files for the 0.8.5/0.8.8-compatible
      version into a pak6-patch088 subdirectory, so it is a little clearer
      that it (deliberately) differs from the 0.8.1-compatible version in
      the pak0 subdirectory
    - on the client, the fallback version for unknown servers is now
      a symlink into pak6-patch088 to make it clearer which version is used
    - on the client, the pak6-patch085 version is a symlink into
      pak6-patch088 (they appear to be compatible)
    - on the server, stop installing the 0.8.1-compatible version: the
      server controls which dialect of the network protocol is used,
      so only the 0.8.8 game code is necessary (Closes: #781385)
    - on the server, stop installing cgame and ui modules: the server
      only needs the qagame module
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 10:19:56 +0100

openarena (0.8.8-11) experimental; urgency=medium

  * Fix upgrades of openarena-server on systems that do not have
    quake3-server, which were broken by insufficient edits to the
    code taken from src:quake in 0.8.8-10 (Closes: #777468)
  * Switch Vcs-Browser to https on general principles

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Feb 2015 17:13:31 +0000

openarena (0.8.8-10) experimental; urgency=low

  * Link to readme_088.txt.gz and LINUXNOTES.gz, which are compressed by
    dh_compress in openarena-088-data and openarena-data respectively
    (Closes: #708626)
  * README.Debian: correct location of debian_server.cfg
    (part of a patch from Markus Koschany, Closes: #719592)
  * Recommend update-rc.d unconditionally: it "does the right thing"
    for each of sysvinit, systemd and upstart
  * Mention service(8) in README.Debian for completeness
  * Sync server support with quake/11:
    - remove support for START_DAEMON
    - if the server was previously disabled via START_DAEMON,
      do a one-time migration to "update-rc.d $SERVICE disable"
    - put default for DAEMON_OPTS in /etc/init.d/openarena-server so it can
      operate without /etc/default/openarena-server
    - "+exec etc/openarena-server/server.cfg" is no longer part of DAEMON_OPTS
    - add native systemd units
    - add optional instanced systemd units for multiple servers
      per machine; stop documenting how to do this with @reboot cron jobs
  * Use LDFLAGS on non-Linux too
  * Canonicalize Vcs-Git, Vcs-Browser and switch Vcs-Browser to cgit
  * Symlink all of /etc/openarena-server into the OpenArena search path
    as etc/openarena-server, so "exec etc/openarena-server/server.cfg"
    now works
  * Standards-Version: 3.9.6 (no changes needed)
  * In the .desktop file, describe it as an ActionGame, not an ArcadeGame

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Feb 2015 11:04:07 +0000

openarena (0.8.8-9) unstable; urgency=low

  * Merge from experimental to unstable
  * Add new watch file, using fakeupstream.cgi to work around the upstream
    downloads page not being uscan'able (thanks to Bart Martens)
  * debian/link-modules.sh: add symlinks so that on i386 and alpha, the game
    code can be loaded by either old ioquake3 (which looks for i386.so, axp.so)
    or new ioquake3 (which looks for x86.so, alpha.so)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 May 2013 11:36:14 +0100

openarena (0.8.8-8) experimental; urgency=low

  * Merge from 0.8.8-5+deb7u2
    - Switch /usr/share/doc/openarena-dbg from a symlink to openarena-server
      to a real directory, fixing missing copyright file on upgrade
      from wheezy or sid (Closes: #698463) and unwanted dependency on
      openarena-server

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Jan 2013 13:53:05 +0000

openarena (0.8.8-7) experimental; urgency=low

  * Merge from 0.8.8-5+deb7u1
    - Add patch from upstream to fix a client-triggerable server crash.
      Thanks to Poul Sander and Markus Koschany (Closes: #681812)
  * Request confirmation before enabling auto-downloading, which is
    a security risk (Closes: #686648)



=== debian/control ===
Source: openarena
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1),
 ioquake3-server (>= 1.36+u20150730+dfsg1-1~),
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-games/openarena.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/openarena.git/
Homepage: http://openarena.ws/

Package: openarena
Architecture: any
Depends:
 ioquake3 (>= 1.36+u20130504),
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data (>= 0.8.5-3~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openarena-oacmp1,
Description: fast-paced 3D first-person shooter
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 OpenArena might be considered unsuitable for children.
 .
 This package installs the OpenArena client.

Package: openarena-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 openarena (= ${binary:Version}) | openarena-server (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 ioquake3-dbg,
Description: debug symbols for OpenArena's game logic
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 This package contains debug symbols which can be used to debug crashes in
 OpenArena's game logic.

Package: openarena-server
Architecture: any
Depends:
 adduser,
 ioquake3-server (>= 1.36+u20130504),
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data (>= 0.8.5),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 openarena-oacmp1,
Description: server and game logic for the game OpenArena
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 This package installs the OpenArena dedicated server and its init script.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export TZ=UTC

include /usr/share/dpkg/default.mk

PRODUCT_DATE := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%b %_d %Y")

# the Q3 engine's build system doesn't respect CPPFLAGS, so put them in CFLAGS
CFLAGS += $(CPPFLAGS) -fsigned-char

common_options = \
	V=1 \
	BUILD_STANDALONE=1 \
	USE_CODEC_VORBIS=1 \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_VOIP=1 \
	USE_INTERNAL_SPEEX=0 \
	USE_INTERNAL_ZLIB=0 \
	USE_LOCAL_HEADERS=0 \
	$(shell /usr/share/ioquake3/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
	SDL_CFLAGS= \
	BUILD_CLIENT=0 \
	BUILD_SERVER=0 \
	BUILD_GAME_SO=1 \
	CROSS_COMPILING=1 \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
	PRODUCT_DATE='$(PRODUCT_DATE)' \
	$(NULL)

TARGET = release

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
# near enough
TARGET = debug
endif

GAME_OPTIONS = \
	BR=build/normal \
	BD='$$(BR)' \
	$(NULL)

GAME_081_OPTIONS = \
	BR=build/0.8.1-compat \
	BD='$$(BR)' \
	OPENARENA_081_COMPATIBLE=1 \
	$(NULL)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- $(common_options) $(GAME_OPTIONS) $(TARGET)
	dh_auto_build -- $(common_options) $(GAME_081_OPTIONS) $(TARGET)
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!openarena!' \
		-e 's!@IOQ3ROLE@!client!' \
		-e 's!@FS_BASEPATH@!/usr/lib/openarena!' \
		< debian/scripts/openarena.in > debian/scripts/openarena
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!openarena-server!' \
		-e 's!@IOQ3ROLE@!server!' \
		-e 's!@FS_BASEPATH@!/usr/lib/openarena-server!' \
		< debian/scripts/openarena.in > debian/scripts/openarena-server
	chmod +x debian/scripts/openarena
	chmod +x debian/scripts/openarena-server

override_dh_clean:
	dh_clean --exclude README-0.8.8~

override_dh_auto_clean:
	rm -f build-stamp
	rm -rf build
	rm -f debian/scripts/openarena
	rm -f debian/scripts/openarena-server

override_dh_auto_install:
	install -d debian/tmp/usr/games
	install -d debian/tmp/usr/lib/openarena/baseoa/pak0/
	install -d debian/tmp/usr/lib/openarena/baseoa/pak6-patch085/
	install -d debian/tmp/usr/lib/openarena/baseoa/pak6-patch088/
	install -d debian/tmp/usr/lib/openarena/missionpack/
	install -d debian/tmp/usr/lib/openarena-server/baseoa/
	install -d debian/tmp/usr/lib/openarena-server/missionpack/
	# The client currently needs two builds:
	# * one compatible with OA 0.8.1 pure servers
	# * one compatible with OA 0.8.5 and 0.8.8 pure servers
	# On impure servers, we default to the latest.
	install -m644 build/0.8.1-compat/baseq3/*.so \
		debian/tmp/usr/lib/openarena/baseoa/pak0/
	install -m644 build/normal/baseq3/*.so \
		debian/tmp/usr/lib/openarena/baseoa/pak6-patch088
	( cd debian/tmp/usr/lib/openarena/baseoa/pak6-patch085 && \
		ln -s ../pak6-patch088/*.so . )
	( cd debian/tmp/usr/lib/openarena/baseoa && \
		ln -s pak6-patch088/*.so . )
	# The "mission pack" doesn't currently have incompatible versions so
	# just use the latest
	install -m644 build/normal/missionpack/*.so\
		debian/tmp/usr/lib/openarena/missionpack/
	# The server only needs the latest version, since it's the server
	# that determines which version clients are expected to be
	# compatible with
	install -m644 build/normal/baseq3/qagame*.so \
		debian/tmp/usr/lib/openarena-server/baseoa/
	install -m644 build/normal/missionpack/qagame*.so\
		debian/tmp/usr/lib/openarena-server/missionpack/

override_dh_strip:
	dh_strip --dbg-package=openarena-dbg

.PHONY: get-orig-source
get-orig-source:
	test ! -e get-orig-source
	mkdir get-orig-source
	if test -e ../oa-0.8.8.tar.bz2; then \
		cp ../oa-0.8.8.tar.bz2 get-orig-source/; \
	else \
		wget -O get-orig-source/oa-0.8.8.tar.bz2 \
		http://files.poulsander.com/~poul19/public_files/oa/dev088/oa-0.8.8.tar.bz2; \
	fi
	test "`sha256sum -b get-orig-source/oa-0.8.8.tar.bz2`" = \
	"47fed4ea740278aa970538fc15819a4f6b8631eda380431ba09eb1b31ecbe5ad *get-orig-source/oa-0.8.8.tar.bz2"
	tar -xvj -C get-orig-source -f get-orig-source/oa-0.8.8.tar.bz2
	rm -rf get-orig-source/oa-0.8.8/tools/lcc
	rm -rf get-orig-source/oa-0.8.8/windows_scripts/*.exe
	mv get-orig-source/oa-0.8.8 get-orig-source/openarena_0.8.8.orig
	tar -zcvf openarena_0.8.8.orig.tar.gz \
		-C get-orig-source openarena_0.8.8.orig
	rm -rf get-orig-source

=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?package=openarena .*=openarena-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|unknown\.suffix)
# only useful for tracking the version, not for downloading the upstream tarball
# Bart Martens <bartm@debian.org>  Sun, 20 Jan 2013 07:04:24 +0000

## openarena 0.8.8+dfsg

=== Makefile ===
#
# ioq3 Makefile
#
# GNU Make required
#

COMPILE_PLATFORM=$(shell uname|sed -e s/_.*//|tr '[:upper:]' '[:lower:]')

COMPILE_ARCH=$(shell uname -m | sed -e s/i.86/i386/)

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e s/i.86/i386/)
endif
ifeq ($(COMPILE_PLATFORM),darwin)
  # Apple does some things a little differently...
  COMPILE_ARCH=$(shell uname -p | sed -e s/i.86/i386/)
endif

ifeq ($(COMPILE_PLATFORM),mingw32)
  ifeq ($(COMPILE_ARCH),i386)
    COMPILE_ARCH=x86
  endif
endif

  BUILD_STANDALONE = 1
  BUILD_CLIENT     = 0
  BUILD_CLIENT_SMP = 0
  BUILD_SERVER     = 0
  BUILD_GAME_SO    = 1
  BUILD_GAME_QVM   = 1
ifndef BUILD_MISSIONPACK
  BUILD_MISSIONPACK=
endif

ifneq ($(PLATFORM),darwin)
  BUILD_CLIENT_SMP = 0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef COPYDIR
COPYDIR="/usr/local/games/quake3"
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
  ifeq ($(PLATFORM),mingw32)
    USE_OPENAL_DLOPEN=1
  else
    USE_OPENAL_DLOPEN=0
  endif
endif

ifndef USE_CURL
USE_CURL=1
endif

ifndef USE_CURL_DLOPEN
  ifeq ($(PLATFORM),mingw32)
    USE_CURL_DLOPEN=0
  else
    USE_CURL_DLOPEN=1
  endif
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=0
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_INTERNAL_SPEEX
USE_INTERNAL_SPEEX=1
endif

ifndef USE_LOCAL_HEADERS
USE_LOCAL_HEADERS=1
endif

#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RDIR=$(MOUNT_DIR)/renderer
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
Q3UIDIR=$(MOUNT_DIR)/q3_ui
JPDIR=$(MOUNT_DIR)/jpeg-6b
SPEEXDIR=$(MOUNT_DIR)/libspeex
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
LOKISETUPDIR=misc/setup
NSISDIR=misc/nsis
SDLHDIR=$(MOUNT_DIR)/SDL12
LIBSDIR=$(MOUNT_DIR)/libs
TEMPDIR=/tmp

# set PKG_CONFIG_PATH to influence this, e.g.
# PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig
ifeq ($(shell which pkg-config > /dev/null; echo $$?),0)
  CURL_CFLAGS=$(shell pkg-config --cflags libcurl)
  CURL_LIBS=$(shell pkg-config --libs libcurl)
  OPENAL_CFLAGS=$(shell pkg-config --cflags openal)
  OPENAL_LIBS=$(shell pkg-config --libs openal)
  # FIXME: introduce CLIENT_CFLAGS
  SDL_CFLAGS=$(shell pkg-config --cflags sdl|sed 's/-Dmain=SDL_main//')
  SDL_LIBS=$(shell pkg-config --libs sdl)
endif
# Use sdl-config if all else fails
ifeq ($(SDL_CFLAGS),)
  ifeq ($(shell which sdl-config > /dev/null; echo $$?),0)
    SDL_CFLAGS=$(shell sdl-config --cflags)
    SDL_LIBS=$(shell sdl-config --libs)
  endif
endif

# version info
VERSION=1.36

USE_SVN=
ifeq ($(wildcard .svn),.svn)
  SVN_REV=$(shell LANG=C svnversion .)
  ifneq ($(SVN_REV),)
    VERSION:=$(VERSION)_SVN$(SVN_REV)
    USE_SVN=1
  endif
else
ifeq ($(wildcard .git/svn/.metadata),.git/svn/.metadata)
  SVN_REV=$(shell LANG=C git svn info | awk '$$1 == "Revision:" {print $$2; exit 0}')
  ifneq ($(SVN_REV),)
    VERSION:=$(VERSION)_SVN$(SVN_REV)
  endif
endif
endif


#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

## Defaults
LIB=lib

INSTALL=install
MKDIR=mkdir

ifeq ($(PLATFORM),linux)

  ifeq ($(ARCH),alpha)
    ARCH=axp
  else
  ifeq ($(ARCH),x86_64)
    LIB=lib64
  else
  ifeq ($(ARCH),ppc64)
    LIB=lib64
  else
  ifeq ($(ARCH),s390x)
    LIB=lib64
  endif
  endif
  endif
  endif

  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
    -pipe -DUSE_ICON $(SDL_CFLAGS)

  ifeq ($(USE_OPENAL),1)
    BASE_CFLAGS += -DUSE_OPENAL
    ifeq ($(USE_OPENAL_DLOPEN),1)
      BASE_CFLAGS += -DUSE_OPENAL_DLOPEN
    endif
  endif

  ifeq ($(USE_CURL),1)
    BASE_CFLAGS += -DUSE_CURL
    ifeq ($(USE_CURL_DLOPEN),1)
      BASE_CFLAGS += -DUSE_CURL_DLOPEN
    endif
  endif

  ifeq ($(USE_CODEC_VORBIS),1)
    BASE_CFLAGS += -DUSE_CODEC_VORBIS
  endif

  OPTIMIZE = -O3 -ffast-math -funroll-loops -fomit-frame-pointer

  ifeq ($(ARCH),x86_64)
    OPTIMIZE = -O3 -fomit-frame-pointer -ffast-math -funroll-loops \
      -falign-loops=2 -falign-jumps=2 -falign-functions=2 \
      -fstrength-reduce
    # experimental x86_64 jit compiler! you need GNU as
    HAVE_VM_COMPILED = true
  else
  ifeq ($(ARCH),i386)
    OPTIMIZE = -O3 -march=i586 -fomit-frame-pointer -ffast-math \
      -funroll-loops -falign-loops=2 -falign-jumps=2 \
      -falign-functions=2 -fstrength-reduce
    HAVE_VM_COMPILED=true
  else
  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    HAVE_VM_COMPILED=true
  endif
  endif
  endif

  ifneq ($(HAVE_VM_COMPILED),true)
    BASE_CFLAGS += -DNO_VM_COMPILED
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm

  CLIENT_LIBS=$(SDL_LIBS) -lGL

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += -lopenal
    endif
  endif

  ifeq ($(USE_CURL),1)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += -lcurl
    endif
  endif

  ifeq ($(USE_CODEC_VORBIS),1)
    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

ifeq ($(USE_LOCAL_HEADERS),1)
    BASE_CFLAGS += -I$(SDLHDIR)/include
  endif

  ifeq ($(ARCH),i386)
    # linux32 make ...
    BASE_CFLAGS += -m32
  else
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -m64
  endif
  endif

  DEBUG_CFLAGS = $(BASE_CFLAGS) -g -O0
  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG $(OPTIMIZE)

else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  HAVE_VM_COMPILED=true
  CLIENT_LIBS=
  OPTIMIZE=
  
  BASE_CFLAGS = -Wall -Wimplicit -Wstrict-prototypes

  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -faltivec
    OPTIMIZE += -O3
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -faltivec
  endif
  ifeq ($(ARCH),i386)
    OPTIMIZE += -march=prescott -mfpmath=sse
    # x86 vm will crash without -mstackrealign since MMX instructions will be
    # used no matter what and they corrupt the frame pointer in VM calls
    BASE_CFLAGS += -mstackrealign
  endif

  BASE_CFLAGS += -fno-strict-aliasing -DMACOS_X -fno-common -pipe

  ifeq ($(USE_OPENAL),1)
    BASE_CFLAGS += -DUSE_OPENAL
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += -framework OpenAL
    else
      BASE_CFLAGS += -DUSE_OPENAL_DLOPEN
    endif
  endif

  ifeq ($(USE_CURL),1)
    BASE_CFLAGS += -DUSE_CURL
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += -lcurl
    else
      BASE_CFLAGS += -DUSE_CURL_DLOPEN
    endif
  endif

  ifeq ($(USE_CODEC_VORBIS),1)
    BASE_CFLAGS += -DUSE_CODEC_VORBIS
    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
  endif

  BASE_CFLAGS += -D_THREAD_SAFE=1

  ifeq ($(USE_LOCAL_HEADERS),1)
    BASE_CFLAGS += -I$(SDLHDIR)/include
  endif

  # We copy sdlmain before ranlib'ing it so that subversion doesn't think
  #  the file has been modified by each build.
  LIBSDLMAIN=$(B)/libSDLmain.a
  LIBSDLMAINSRC=$(LIBSDIR)/macosx/libSDLmain.a
  CLIENT_LIBS += -framework Cocoa -framework IOKit -framework OpenGL \
    $(LIBSDIR)/macosx/libSDL-1.2.0.dylib

  OPTIMIZE += -ffast-math -falign-loops=16

  ifneq ($(HAVE_VM_COMPILED),true)
    BASE_CFLAGS += -DNO_VM_COMPILED
  endif

  DEBUG_CFLAGS = $(BASE_CFLAGS) -g -O0

  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG $(OPTIMIZE)

  SHLIBEXT=dylib
  SHLIBCFLAGS=-fPIC -fno-common
  SHLIBLDFLAGS=-dynamiclib $(LDFLAGS)

  NOTSHLIBCFLAGS=-mdynamic-no-pic

  TOOLS_CFLAGS += -DMACOS_X

else # ifeq darwin


#############################################################################
# SETUP AND BUILD -- MINGW32
#############################################################################

ifeq ($(PLATFORM),mingw32)

  ifndef WINDRES
    WINDRES=windres
  endif

  ARCH=x86

  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
    -DUSE_ICON

  # In the absence of wspiapi.h, require Windows XP or later
  ifeq ($(shell test -e $(CMDIR)/wspiapi.h; echo $$?),1)
    BASE_CFLAGS += -DWINVER=0x501
  endif

  ifeq ($(USE_OPENAL),1)
    BASE_CFLAGS += -DUSE_OPENAL
    BASE_CFLAGS += $(OPENAL_CFLAGS)
    ifeq ($(USE_OPENAL_DLOPEN),1)
      BASE_CFLAGS += -DUSE_OPENAL_DLOPEN
    else
      CLIENT_LDFLAGS += $(OPENAL_LDFLAGS)
    endif
  endif

  ifeq ($(USE_CODEC_VORBIS),1)
    BASE_CFLAGS += -DUSE_CODEC_VORBIS
  endif

  OPTIMIZE = -O3 -march=i586 -fno-omit-frame-pointer -ffast-math \
    -falign-loops=2 -funroll-loops -falign-jumps=2 -falign-functions=2 \
    -fstrength-reduce

  HAVE_VM_COMPILED = true

  SHLIBEXT=dll
  SHLIBCFLAGS=
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  BINEXT=.exe

  LIBS= -lws2_32 -lwinmm
  CLIENT_LDFLAGS = -mwindows
  CLIENT_LIBS = -lgdi32 -lole32 -lopengl32

  ifeq ($(USE_CURL),1)
    BASE_CFLAGS += -DUSE_CURL
    BASE_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      ifeq ($(USE_LOCAL_HEADERS),1)
        BASE_CFLAGS += -DCURL_STATICLIB
        CLIENT_LIBS += $(LIBSDIR)/win32/libcurl.a
      else
        CLIENT_LIBS += $(CURL_LIBS)
      endif
    endif
  endif

  ifeq ($(USE_CODEC_VORBIS),1)
    CLIENT_LIBS += -lvorbisfile -lvorbis -logg
  endif

  ifeq ($(ARCH),x86)
    # build 32bit
    BASE_CFLAGS += -m32
  endif

  DEBUG_CFLAGS=$(BASE_CFLAGS) -g -O0
  RELEASE_CFLAGS=$(BASE_CFLAGS) -DNDEBUG $(OPTIMIZE)

  # libmingw32 must be linked before libSDLmain
  CLIENT_LIBS += -lmingw32
  ifeq ($(USE_LOCAL_HEADERS),1)
    BASE_CFLAGS += -I$(SDLHDIR)/include
    CLIENT_LIBS += $(LIBSDIR)/win32/libSDLmain.a \
                      $(LIBSDIR)/win32/libSDL.dll.a
  else
    BASE_CFLAGS += $(SDL_CFLAGS)
    CLIENT_LIBS += $(SDL_LIBS)
  endif



  BUILD_CLIENT_SMP = 0

else # ifeq mingw32

#############################################################################
# SETUP AND BUILD -- FREEBSD
#############################################################################

ifeq ($(PLATFORM),freebsd)

  ifneq (,$(findstring alpha,$(shell uname -m)))
    ARCH=axp
  else #default to i386
    ARCH=i386
  endif #alpha test


  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
    -DUSE_ICON $(SDL_CFLAGS)

  ifeq ($(USE_OPENAL),1)
    BASE_CFLAGS += -DUSE_OPENAL
    ifeq ($(USE_OPENAL_DLOPEN),1)
      BASE_CFLAGS += -DUSE_OPENAL_DLOPEN
    endif
  endif

=== debian/changelog ===
openarena (0.8.8+dfsg-11) unstable; urgency=medium

  * Set fs_homepath in preference to com_homepath.
    The interpretation of com_homepath has changed in recent ioquake3
    engine snapshots: previously com_homepath .openarena meant
    ~/.openarena, but now it means ~/.config/.openarena and so on (and
    conventionally it would not start with a dot). Use fs_homepath to
    preserve previous functionality: we shouldn't migrate to the XDG
    paths unless an official release from openarena.ws does so.
  * d/salsa-ci.yml: Disable unnecessary build jobs.
    There are no Architecture: all binary packages here, so the "any"
    build is redundant with the default build, and the "all" build
    does nothing.

 -- Simon McVittie <smcv@debian.org>  Tue, 28 Oct 2025 12:30:50 +0000

openarena (0.8.8+dfsg-10) unstable; urgency=medium

  * Add patch to control exported symbols in game modules.
    This avoids a crash on architectures where the engine executable
    exports symbols by default, such as riscv64 and s390x.
    (Closes: #1111671)

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Aug 2025 21:22:40 +0100

openarena (0.8.8+dfsg-9) unstable; urgency=medium

  [ Simon McVittie ]
  * Install symlinks to loadable modules without the architecture suffix.
    This makes this openarena compatible with versions of ioquake3 that
    were built with the new USE_ARCHLESS_FILENAMES option, which greatly
    simplifies its packaging, since we no longer need to maintain a
    table of Debian architectures and their corresponding ioquake3 naming.
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

  [ Alexandre Detiste ]
  * remove retired uploader Gonéri Le Bouder

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Aug 2025 20:21:48 +0100

openarena (0.8.8+dfsg-8) unstable; urgency=medium

  * Silence warnings from man(1) by using italic instead of underlines
  * d/p/Fix-a-typo-for-already.patch:
    Mark as applied upstream
  * d/p/Replace-Q_strncpy-to-be-safe-even-if-source-and-destinati.patch,
    d/p/Fix-secondary-weapon-models-registering-346.patch:
    Add patches from upstream to fix overlapping buffers with strncpy()
    and related functions.
    In particular, this fixes display of the machine gun's rotating
    barrel and the lightning gun's beam.
  * Standards-Version: 4.7.0 (no changes required)
  * d/p/g_admin-Fix-an-insufficiently-large-memset.patch:
    Backport a compiler warning fix from upstream
  * d/rules: Silence some noisy but unimportant warnings
  * d/.gitignore: Add
  * d/rules: Tell git to ignore the build directory

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 16:22:35 +0000

openarena (0.8.8+dfsg-7) unstable; urgency=medium

  * d/openarena-server.install: Don't explicitly install
    openarena-server@.service.
    dh_installsystemd does this for us automatically, and letting it
    take responsibility for the instanced unit should make it possible
    to move the systemd units to /usr/lib/systemd by binNMUing with a
    newer debhelper.
  * d/control: Drop unnecessary dependency on lsb-base.
    On systemd systems, this is unnecessary because the init script is
    not used, and on non-systemd systems, this is unnecessary because
    sysv-rc explicitly depends on lsb-base.
  * Remove version constraints unnecessary since bullseye (oldstable)
    on dpkg-dev, ioquake3, ioquake3-server, openarena-data.
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Oct 2023 10:09:21 +0100

openarena (0.8.8+dfsg-6) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Mark patch as applied upstream
  * Standards-Version: 4.6.1 (no changes required)
  * Bump debhelper compatibility level from 12 to 13
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 22:17:33 +0100

openarena (0.8.8+dfsg-5) unstable; urgency=medium

  * Mark patch for #966150 as forwarded upstream
  * d/gbp.conf: Set packaging branch to debian/latest
  * Standards-Version: 4.5.1 (no changes required)
  * Add overrides for some Lintian false-positives (#973759, #971707)
  * Add patches to fix some typos
  * Silence Lintian tags for the "allready" console command.
    Lintian reasonably interprets this as a typo for "already", but it
    actually means "all ready".

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Dec 2020 14:15:39 +0000

openarena (0.8.8+dfsg-4) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Explicitly link game, cgame, ui modules to libm (Closes: #966150)
  * Link with -Wl,-z,defs to assert that all modules are self-contained

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jul 2020 12:48:28 +0100

openarena (0.8.8+dfsg-3) unstable; urgency=medium

  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Remove migration path from openarena-dbg, which was not in buster
  * Standards-Version: 4.5.0 (no changes required)
  * d/changelog: Trim trailing whitespace
  * Wrap long line in changelog entry for 0.6.0-3
  * Use debhelper-compat 12
    - Add ${misc:Pre-Depends} to both packages
  * d/upstream/metadata: Add
  * Use https for various URLs
  * Do a separate build of qagame*.so for the dedicated server.
    Give it a different version number, so that its build-ID is different,
    and hence its detached debug symbols don't collide with the ones from
    the client/listen-server package. This means we can build
    openarena-server-dbgsym in the obvious way.
  * d/*.service: Add Documentation fields
  * d/openarena.desktop: Add Keywords

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Feb 2020 10:08:50 +0000

openarena (0.8.8+dfsg-2) unstable; urgency=medium

  * d/copyright: Sort standalone license paragraph to the end, avoiding
    a Lintian warning
  * Standards-Version: 4.2.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Aug 2018 11:32:16 +0100



=== debian/control ===
Source: openarena
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 ioquake3-server,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/openarena.git
Vcs-Browser: https://salsa.debian.org/games-team/openarena
Homepage: https://openarena.ws/
Rules-Requires-Root: no

Package: openarena
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ioquake3,
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openarena-oacmp1,
Description: fast-paced 3D first-person shooter
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 OpenArena might be considered unsuitable for children.
 .
 This package installs the OpenArena client.

Package: openarena-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ioquake3-server,
 openarena-081-maps,
 openarena-081-misc,
 openarena-081-players,
 openarena-081-players-mature,
 openarena-081-textures,
 openarena-085-data,
 openarena-088-data,
 openarena-data (<< 0.8.6~),
 openarena-data,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 openarena-oacmp1,
Description: server and game logic for the game OpenArena
 OpenArena is an open-source content package for ioQuake3 licensed under the
 GPL, effectively creating a free stand-alone game. Though OpenArena is a free
 replacement for id Software Inc.'s Quake 3 Arena, it is NOT compatible with
 the proprietary game!
 .
 This package installs the OpenArena dedicated server and its init script.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LC_ALL=C.UTF-8
export TZ=UTC

DEB_CFLAGS_MAINT_APPEND := \
	-Wno-misleading-indentation \
	-Wno-unused \
	-fsigned-char \
	$(NULL)

include /usr/share/dpkg/default.mk

%:
	dh $@

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
TARGET = release
else
TARGET = debug
endif

export Q3ARCH := $(shell /usr/share/ioquake3/q3arch arch ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM})

common_options = \
	V=1 \
	BUILD_STANDALONE=1 \
	USE_CODEC_VORBIS=1 \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_VOIP=1 \
	USE_INTERNAL_SPEEX=0 \
	USE_INTERNAL_ZLIB=0 \
	USE_LOCAL_HEADERS=0 \
	$(shell /usr/share/ioquake3/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
	SDL_CFLAGS= \
	BUILD_CLIENT=0 \
	BUILD_SERVER=0 \
	BUILD_GAME_SO=1 \
	CROSS_COMPILING=1 \
	CFLAGS='$(filter-out -fPIE -pie,$(CFLAGS)) $(CPPFLAGS)' \
	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS)) -Wl,-z,defs' \
	$(NULL)

GAME_OPTIONS = \
	BR=build/0.8.8 \
	BD='$$(BR)' \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
	$(NULL)

GAME_081_OPTIONS = \
	BR=build/0.8.1-compat \
	BD='$$(BR)' \
	OPENARENA_081_COMPATIBLE=1 \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR)/0.8.1-compat \
	$(NULL)

# We do a separate build for the server. It's actually the same, but with
# the version marking changed, so that it isn't identical to the one in
# openarena; this means its build-ID will be different, so its detatched
# debug symbols don't collide with the ones for the client.
GAME_SERVER_OPTIONS = \
	BR=build/server \
	BD='$$(BR)' \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR)/server \
	$(NULL)

override_dh_auto_build:
	mkdir -p build
	echo '*' > build/.gitignore
	dh_auto_build -- $(common_options) $(GAME_OPTIONS) $(TARGET)
	dh_auto_build -- $(common_options) $(GAME_081_OPTIONS) $(TARGET)
	dh_auto_build -- $(common_options) $(GAME_SERVER_OPTIONS) $(TARGET)
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!openarena!' \
		-e 's!@IOQ3ROLE@!client!' \
		-e 's!@FS_BASEPATH@!/usr/lib/openarena!' \
		< debian/scripts/openarena.in > debian/scripts/openarena
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!openarena-server!' \
		-e 's!@IOQ3ROLE@!server!' \
		-e 's!@FS_BASEPATH@!/usr/lib/openarena-server!' \
		< debian/scripts/openarena.in > debian/scripts/openarena-server
	chmod +x debian/scripts/openarena
	chmod +x debian/scripts/openarena-server

override_dh_clean:
	dh_clean --exclude README-0.8.8~

override_dh_auto_clean:
	rm -f build-stamp
	rm -rf build
	rm -f debian/scripts/openarena
	rm -f debian/scripts/openarena-server

override_dh_auto_install: DESTDIR = debian/tmp
override_dh_auto_install:
	install -d $(DESTDIR)/usr/games
	install -d $(DESTDIR)/usr/lib/openarena/baseoa/pak0/
	install -d $(DESTDIR)/usr/lib/openarena/baseoa/pak6-patch085/
	install -d $(DESTDIR)/usr/lib/openarena/baseoa/pak6-patch088/
	install -d $(DESTDIR)/usr/lib/openarena/missionpack/
	install -d $(DESTDIR)/usr/lib/openarena-server/baseoa/
	install -d $(DESTDIR)/usr/lib/openarena-server/missionpack/
	# The client currently needs two builds:
	# * one compatible with OA 0.8.1 pure servers
	# * one compatible with OA 0.8.5 and 0.8.8 pure servers
	# On impure servers, we default to the latest.
	install -m644 build/0.8.1-compat/baseq3/*.so \
		$(DESTDIR)/usr/lib/openarena/baseoa/pak0/
	install -m644 build/0.8.8/baseq3/*.so \
		$(DESTDIR)/usr/lib/openarena/baseoa/pak6-patch088
	( cd $(DESTDIR)/usr/lib/openarena/baseoa/pak6-patch085 && \
		ln -s ../pak6-patch088/*.so . )
	( cd $(DESTDIR)/usr/lib/openarena/baseoa && \
		ln -s pak6-patch088/*.so . )
	# The "mission pack" doesn't currently have incompatible versions so
	# just use the latest
	install -m644 build/0.8.8/missionpack/*.so\
		$(DESTDIR)/usr/lib/openarena/missionpack/
	# The server only needs the latest version, since it's the server
	# that determines which version clients are expected to be
	# compatible with
	install -m644 build/server/baseq3/qagame*.so \
		$(DESTDIR)/usr/lib/openarena-server/baseoa/
	install -m644 build/server/missionpack/qagame*.so\
		$(DESTDIR)/usr/lib/openarena-server/missionpack/

# ---------------------------------------------------------------------------

ORIG_SOURCE = openarena
ORIG_REL = 0.8.8
ORIG_COPYRIGHT = $(dir $(firstword $(MAKEFILE_LIST)))/copyright

.PHONY: get-orig-source
get-orig-source:
	test ! -e get-orig-source
	mkdir get-orig-source
	if test -e ../oa-${ORIG_REL}.tar.bz2; then \
		cp ../oa-${ORIG_REL}.tar.bz2 get-orig-source/; \
	else \
		wget -O get-orig-source/oa-${ORIG_REL}.tar.bz2 \
		http://files.poulsander.com/~poul19/public_files/oa/dev088/oa-${ORIG_REL}.tar.bz2; \
	fi
	test "`sha256sum -b get-orig-source/oa-${ORIG_REL}.tar.bz2`" = \
	"47fed4ea740278aa970538fc15819a4f6b8631eda380431ba09eb1b31ecbe5ad *get-orig-source/oa-${ORIG_REL}.tar.bz2"
	mk-origtargz \
		--package=${ORIG_SOURCE} \
		--copyright-file=${ORIG_COPYRIGHT} \
		--repack \
		--repack-suffix=+dfsg \
		--compression xz \
		--directory ${CURDIR} \
		--version ${ORIG_REL} \
		get-orig-source/oa-${ORIG_REL}.tar.bz2
	rm -fr get-orig-source

# to be invoked from a git checkout, tarball ends up in ../build-area
maintainer-get-orig-source:
	$(MAKE) -f debian/rules get-orig-source
	mv -i -v ${ORIG_SOURCE}_${ORIG_REL}+dfsg.orig.tar.xz ../build-area/
	@echo "try using:"
	@echo "gbp import-orig ../build-area/${ORIG_SOURCE}_${ORIG_REL}+dfsg.orig.tar.xz"

=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//g" \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?package=openarena .*=openarena-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|unknown\.suffix)
# only useful for tracking the version, not for downloading the upstream tarball
# Bart Martens <bartm@debian.org>  Sun, 20 Jan 2013 07:04:24 +0000
